# MeasureFormat Class Reference

A formatter for measure objects. More...

`#include <measfmt.h>`

Inheritance diagram for MeasureFormat:

## Static Public Member Functions
static MeasureFormat * | createCurrencyFormat (const Locale &locale, UErrorCode &ec)
| Return a formatter for CurrencyAmount objects in the given locale.
static MeasureFormat * | createCurrencyFormat (UErrorCode &ec)
| Return a formatter for CurrencyAmount objects in the default locale.
## Protected Member Functions
| MeasureFormat ()
| Default constructor.

## Detailed Description

A formatter for measure objects.

This is an abstract base class.

To format or parse a measure object, first create a formatter object using a MeasureFormat factory method. Then use that object's format and parse methods.

This is an abstract class.

See also:
  Format

Author:
  Alan Liu

Stable:
  ICU 3.0

Definition at line 41 of file measfmt.h.

## Constructor & Destructor Documentation

MeasureFormat::MeasureFormat | ( |  | ) | `[protected]`

Default constructor.

Stable:
  ICU 3.0

## Member Function Documentation

static MeasureFormat* MeasureFormat::createCurrencyFormat | ( | UErrorCode & | ec | ) | `[static]`

Return a formatter for CurrencyAmount objects in the default locale.

Parameters:

  | ec | input-output error code

Returns:
  a formatter object, or NULL upon error

Stable:
  ICU 3.0

static MeasureFormat* MeasureFormat::createCurrencyFormat | ( | const Locale & | locale,
|  | UErrorCode & | ec |
| ) |  |  | `[static]`

Return a formatter for CurrencyAmount objects in the given locale.

Parameters:

  | locale | desired locale
  | ec | input-output error code

Returns:
  a formatter object, or NULL upon error

Stable:
  ICU 3.0

The documentation for this class was generated from the following file:

- measfmt.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines